HanMacWrdKGraphInternal::Table Struct Referencefinal

Internal: the table of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Table:

## Public Member Functions

| Table (Frame const &orig, HanMacWrdKGraph &parser)
| constructor
| ~Table () final
| destructor
TableCell * | get (int i)
| return the i^th table cell
bool | sendText (long textId, long id) const
| send a text zone
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor
virtual | ~MWAWTable ()
| the destructor
void | add (std::shared_ptr< MWAWCell > cell)
| add a new cells
bool | mergeBorders () const
| returns true if we need to merge borders
bool | setMergeBorders (bool val)
| sets the merge borders' value
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment
int | numCells () const
| returns the number of cell
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point)
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point)
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point)
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point)
std::shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell
bool | updateTable ()
| try to build the table structures
bool | hasExtraLines ()
| returns true if the table has extralines
bool | sendTable (MWAWListenerPtr listener, bool inFrame=true)
| try to send the table
bool | sendAsText (MWAWListenerPtr listener)
| try to send the table as basic text
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList

## Public Attributes

HanMacWrdKGraph * | m_parser
| the graph parser
int | m_rows
| the number of row
int | m_columns
| the number of columns
int | m_numCells
| the number of cells
long | m_textFileId
| the text file id
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Private Member Functions

| Table (Table const &orig)=delete
Table & | operator= (Table const &orig)=delete

## Friends

std::ostream & | operator<< (std::ostream &o, Table const &table)
| operator<<

## Additional Inherited Members

Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1 , BoxBit =2 , SizeBit =4 , TableDimBit =8 , TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph , Left , Center , Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position
bool | buildStructures ()
| create the correspondance list, ...
bool | buildDims ()
| compute the rows and the cells size
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position
void | sendExtraLines (MWAWListenerPtr listener) const
| send extra line
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries
uint32_t | m_setData
| a int to indicate what data are been reconstruct
bool | m_mergeBorders
| do we need to merge cell borders ( default yes)
std::vector< std::shared_ptr< MWAWCell > > | m_cellsList
| the list of cells
size_t | m_numRows
| the number of rows ( set by buildPosToCellId )
size_t | m_numCols
| the number of cols ( set by buildPosToCellId )
std::vector< float > | m_rowsSize
| the final row size (in point)
std::vector< float > | m_colsSize
| the final col size (in point)
Alignment | m_alignment
| the table alignment
float | m_leftMargin
| the left margin in point
float | m_rightMargin
| the right margin in point
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell
bool | m_hasExtraLines
| true if we need to send extra lines

## Detailed Description

Internal: the table of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## Table() [1/2]

HanMacWrdKGraphInternal::Table::Table | ( | Frame const & | orig,
|  | HanMacWrdKGraph & | parser )

inline

constructor

Referenced by operator<<, operator=(), and Table().

## ~Table()

HanMacWrdKGraphInternal::Table::~Table | ( |  | ) |

final

destructor

## Table() [2/2]

HanMacWrdKGraphInternal::Table::Table | ( | Table const & | orig | ) |

private delete

## Member Function Documentation

## get()

TableCell * HanMacWrdKGraphInternal::Table::get | ( | int | i | ) |

inline

return the i^th table cell

Referenced by get().

## operator=()

Table & HanMacWrdKGraphInternal::Table::operator= | ( | Table const & | orig | ) |

private delete

## print()

std::string HanMacWrdKGraphInternal::Table::print | ( |  | ) | const

inline

print local data

Referenced by operator<<.

## sendText()

bool HanMacWrdKGraphInternal::Table::sendText | ( | long | textId,
|  | long | id ) const

inline

send a text zone

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Table const & | table )

friend

operator<<

## Member Data Documentation

## m_columns

int HanMacWrdKGraphInternal::Table::m_columns

the number of columns

Referenced by print(), and Table().

## m_numCells

int HanMacWrdKGraphInternal::Table::m_numCells

the number of cells

Referenced by print(), and Table().

## m_parser

HanMacWrdKGraph* HanMacWrdKGraphInternal::Table::m_parser

the graph parser

Referenced by sendText(), and Table().

## m_rows

int HanMacWrdKGraphInternal::Table::m_rows

the number of row

Referenced by print(), and Table().

## m_textFileId

long HanMacWrdKGraphInternal::Table::m_textFileId

the text file id

Referenced by print(), and Table().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx